#include "module.h"

#include <balancer/kernel/module/module.h>

using namespace NSrvKernel;

MODULE(admin) {
public:
    TModule(const TModuleParams& mp) noexcept
        : TModuleBase(mp)
    {
        mp.Config->ForEach(this);
    }

private:
    TError DoRun(const TConnDescr&) const noexcept override {
        Y_FAIL();
    }

private:
    START_PARSE {
        if (key == "disable_xml_stats") {
            return;
        }
    } END_PARSE
};

IModuleHandle* NModAdmin::Handle() {
    return TModule::Handle();
}
